var org__ziniki = {};

import { IdempotentHandler } from "/js/ziwsh.js";
import { Application, Assign, AssignCons, AssignItem, Debug, ResponseWithMessages, Send, UpdateDisplay, ClickEvent, ScrollTo, ContractStore, Entity, Image, Link, FLBuiltin, False, True, MakeHash, HashPair, Tuple, TypeOf, FLCard, FLObject, FLError, Nil, Cons, Crobag, CroEntry, SlideWindow, CrobagWindow, CrobagChangeEvent, CrobagWindowEvent, Random, Interval, Instant, Calendar } from "/js/flasjs.js";

org__ziniki.ContentProvider = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org__ziniki.ContentProvider.prototype = new IdempotentHandler();
org__ziniki.ContentProvider.prototype.constructor = org__ziniki.ContentProvider;
org__ziniki.ContentProvider._nf_success = 0;
org__ziniki.ContentProvider._nf_failure = 1;
org__ziniki.ContentProvider._nf_provide = 1;

org__ziniki.ContentProvider.prototype.name = function() {
  return 'org.ziniki.ContentProvider';
}

org__ziniki.ContentProvider.prototype.name.nfargs = function() { return -1; }

org__ziniki.ContentProvider.prototype._methods = function() {
  const _v1 = ['success','failure','provide'];
  return _v1;
}

org__ziniki.ContentProvider.prototype._methods.nfargs = function() { return -1; }

org__ziniki.ContentProvider.prototype.success = function(_cxt, _ih) {
  return null;
}

org__ziniki.ContentProvider.prototype.success.nfargs = function() { return 0; }

org__ziniki.ContentProvider.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.ContentProvider.prototype.failure.nfargs = function() { return 1; }

org__ziniki.ContentProvider.prototype.provide = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.ContentProvider.prototype.provide.nfargs = function() { return 1; }

org__ziniki.ContentStore = function(_cxt) {
  return ;
}
org__ziniki.ContentStore._nf_newObject = 2;
org__ziniki.ContentStore._nf_objectPath = 2;

org__ziniki.ContentStore.prototype.name = function() {
  return 'org.ziniki.ContentStore';
}

org__ziniki.ContentStore.prototype.name.nfargs = function() { return -1; }

org__ziniki.ContentStore.prototype._methods = function() {
  const _v1 = ['newObject','objectPath'];
  return _v1;
}

org__ziniki.ContentStore.prototype._methods.nfargs = function() { return -1; }

org__ziniki.ContentStore.prototype.newObject = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.ContentStore.prototype.newObject.nfargs = function() { return 2; }

org__ziniki.ContentStore.prototype.objectPath = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.ContentStore.prototype.objectPath.nfargs = function() { return 2; }

org__ziniki.CrobagHandler = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org__ziniki.CrobagHandler.prototype = new IdempotentHandler();
org__ziniki.CrobagHandler.prototype.constructor = org__ziniki.CrobagHandler;
org__ziniki.CrobagHandler._nf_success = 0;
org__ziniki.CrobagHandler._nf_failure = 1;
org__ziniki.CrobagHandler._nf_missing = 0;
org__ziniki.CrobagHandler._nf_present = 1;

org__ziniki.CrobagHandler.prototype.name = function() {
  return 'org.ziniki.CrobagHandler';
}

org__ziniki.CrobagHandler.prototype.name.nfargs = function() { return -1; }

org__ziniki.CrobagHandler.prototype._methods = function() {
  const _v1 = ['success','failure','missing','present'];
  return _v1;
}

org__ziniki.CrobagHandler.prototype._methods.nfargs = function() { return -1; }

org__ziniki.CrobagHandler.prototype.success = function(_cxt, _ih) {
  return null;
}

org__ziniki.CrobagHandler.prototype.success.nfargs = function() { return 0; }

org__ziniki.CrobagHandler.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.CrobagHandler.prototype.failure.nfargs = function() { return 1; }

org__ziniki.CrobagHandler.prototype.missing = function(_cxt, _ih) {
  return null;
}

org__ziniki.CrobagHandler.prototype.missing.nfargs = function() { return 0; }

org__ziniki.CrobagHandler.prototype.present = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.CrobagHandler.prototype.present.nfargs = function() { return 1; }

org__ziniki.CrobagUpdateHandler = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org__ziniki.CrobagUpdateHandler.prototype = new IdempotentHandler();
org__ziniki.CrobagUpdateHandler.prototype.constructor = org__ziniki.CrobagUpdateHandler;
org__ziniki.CrobagUpdateHandler._nf_success = 0;
org__ziniki.CrobagUpdateHandler._nf_failure = 1;
org__ziniki.CrobagUpdateHandler._nf_missing = 0;
org__ziniki.CrobagUpdateHandler._nf_present = 1;
org__ziniki.CrobagUpdateHandler._nf_addkey = 2;
org__ziniki.CrobagUpdateHandler._nf_removekey = 2;

org__ziniki.CrobagUpdateHandler.prototype.name = function() {
  return 'org.ziniki.CrobagUpdateHandler';
}

org__ziniki.CrobagUpdateHandler.prototype.name.nfargs = function() { return -1; }

org__ziniki.CrobagUpdateHandler.prototype._methods = function() {
  const _v1 = ['success','failure','missing','present','addkey','removekey'];
  return _v1;
}

org__ziniki.CrobagUpdateHandler.prototype._methods.nfargs = function() { return -1; }

org__ziniki.CrobagUpdateHandler.prototype.success = function(_cxt, _ih) {
  return null;
}

org__ziniki.CrobagUpdateHandler.prototype.success.nfargs = function() { return 0; }

org__ziniki.CrobagUpdateHandler.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.CrobagUpdateHandler.prototype.failure.nfargs = function() { return 1; }

org__ziniki.CrobagUpdateHandler.prototype.missing = function(_cxt, _ih) {
  return null;
}

org__ziniki.CrobagUpdateHandler.prototype.missing.nfargs = function() { return 0; }

org__ziniki.CrobagUpdateHandler.prototype.present = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.CrobagUpdateHandler.prototype.present.nfargs = function() { return 1; }

org__ziniki.CrobagUpdateHandler.prototype.addkey = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.CrobagUpdateHandler.prototype.addkey.nfargs = function() { return 2; }

org__ziniki.CrobagUpdateHandler.prototype.removekey = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.CrobagUpdateHandler.prototype.removekey.nfargs = function() { return 2; }

org__ziniki.DataHandler = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org__ziniki.DataHandler.prototype = new IdempotentHandler();
org__ziniki.DataHandler.prototype.constructor = org__ziniki.DataHandler;
org__ziniki.DataHandler._nf_success = 0;
org__ziniki.DataHandler._nf_failure = 1;
org__ziniki.DataHandler._nf_missing = 0;
org__ziniki.DataHandler._nf_value = 1;

org__ziniki.DataHandler.prototype.name = function() {
  return 'org.ziniki.DataHandler';
}

org__ziniki.DataHandler.prototype.name.nfargs = function() { return -1; }

org__ziniki.DataHandler.prototype._methods = function() {
  const _v1 = ['success','failure','missing','value'];
  return _v1;
}

org__ziniki.DataHandler.prototype._methods.nfargs = function() { return -1; }

org__ziniki.DataHandler.prototype.success = function(_cxt, _ih) {
  return null;
}

org__ziniki.DataHandler.prototype.success.nfargs = function() { return 0; }

org__ziniki.DataHandler.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataHandler.prototype.failure.nfargs = function() { return 1; }

org__ziniki.DataHandler.prototype.missing = function(_cxt, _ih) {
  return null;
}

org__ziniki.DataHandler.prototype.missing.nfargs = function() { return 0; }

org__ziniki.DataHandler.prototype.value = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataHandler.prototype.value.nfargs = function() { return 1; }

org__ziniki.DataStore = function(_cxt) {
  return ;
}
org__ziniki.DataStore._nf_subscribe = 1;
org__ziniki.DataStore._nf_domain = 1;
org__ziniki.DataStore._nf_put = 1;
org__ziniki.DataStore._nf_attachPersonalArena = 1;
org__ziniki.DataStore._nf_createArena = 3;
org__ziniki.DataStore._nf_addBench = 3;
org__ziniki.DataStore._nf_join = 3;
org__ziniki.DataStore._nf_publish = 3;
org__ziniki.DataStore._nf_my = 1;
org__ziniki.DataStore._nf_putMy = 2;
org__ziniki.DataStore._nf_attachSecondaryKeyset = 2;
org__ziniki.DataStore._nf_attachSecondaryIndex = 2;
org__ziniki.DataStore._nf_secondaryByType = 3;
org__ziniki.DataStore._nf_secondaryKey = 3;
org__ziniki.DataStore._nf_secondaryIndex = 3;

org__ziniki.DataStore.prototype.name = function() {
  return 'org.ziniki.DataStore';
}

org__ziniki.DataStore.prototype.name.nfargs = function() { return -1; }

org__ziniki.DataStore.prototype._methods = function() {
  const _v1 = ['subscribe','domain','put','attachPersonalArena','createArena','addBench','join','publish','my','putMy','attachSecondaryKeyset','attachSecondaryIndex','secondaryByType','secondaryKey','secondaryIndex'];
  return _v1;
}

org__ziniki.DataStore.prototype._methods.nfargs = function() { return -1; }

org__ziniki.DataStore.prototype.subscribe = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.subscribe.nfargs = function() { return 1; }

org__ziniki.DataStore.prototype.domain = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.domain.nfargs = function() { return 1; }

org__ziniki.DataStore.prototype.put = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.put.nfargs = function() { return 1; }

org__ziniki.DataStore.prototype.attachPersonalArena = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.attachPersonalArena.nfargs = function() { return 1; }

org__ziniki.DataStore.prototype.createArena = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.createArena.nfargs = function() { return 3; }

org__ziniki.DataStore.prototype.addBench = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.addBench.nfargs = function() { return 3; }

org__ziniki.DataStore.prototype.join = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.join.nfargs = function() { return 3; }

org__ziniki.DataStore.prototype.publish = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.publish.nfargs = function() { return 3; }

org__ziniki.DataStore.prototype.my = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.my.nfargs = function() { return 1; }

org__ziniki.DataStore.prototype.putMy = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.putMy.nfargs = function() { return 2; }

org__ziniki.DataStore.prototype.attachSecondaryKeyset = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.attachSecondaryKeyset.nfargs = function() { return 2; }

org__ziniki.DataStore.prototype.attachSecondaryIndex = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.attachSecondaryIndex.nfargs = function() { return 2; }

org__ziniki.DataStore.prototype.secondaryByType = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.secondaryByType.nfargs = function() { return 3; }

org__ziniki.DataStore.prototype.secondaryKey = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.secondaryKey.nfargs = function() { return 3; }

org__ziniki.DataStore.prototype.secondaryIndex = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.DataStore.prototype.secondaryIndex.nfargs = function() { return 3; }

org__ziniki.EntityCreated = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org__ziniki.EntityCreated.prototype = new IdempotentHandler();
org__ziniki.EntityCreated.prototype.constructor = org__ziniki.EntityCreated;
org__ziniki.EntityCreated._nf_success = 0;
org__ziniki.EntityCreated._nf_failure = 1;
org__ziniki.EntityCreated._nf_created = 1;

org__ziniki.EntityCreated.prototype.name = function() {
  return 'org.ziniki.EntityCreated';
}

org__ziniki.EntityCreated.prototype.name.nfargs = function() { return -1; }

org__ziniki.EntityCreated.prototype._methods = function() {
  const _v1 = ['success','failure','created'];
  return _v1;
}

org__ziniki.EntityCreated.prototype._methods.nfargs = function() { return -1; }

org__ziniki.EntityCreated.prototype.success = function(_cxt, _ih) {
  return null;
}

org__ziniki.EntityCreated.prototype.success.nfargs = function() { return 0; }

org__ziniki.EntityCreated.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.EntityCreated.prototype.failure.nfargs = function() { return 1; }

org__ziniki.EntityCreated.prototype.created = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.EntityCreated.prototype.created.nfargs = function() { return 1; }

org__ziniki.FileProvider = function(_cxt) {
  IdempotentHandler.call(this);
  return ;
}
org__ziniki.FileProvider.prototype = new IdempotentHandler();
org__ziniki.FileProvider.prototype.constructor = org__ziniki.FileProvider;
org__ziniki.FileProvider._nf_success = 0;
org__ziniki.FileProvider._nf_failure = 1;
org__ziniki.FileProvider._nf_uploadTo = 1;

org__ziniki.FileProvider.prototype.name = function() {
  return 'org.ziniki.FileProvider';
}

org__ziniki.FileProvider.prototype.name.nfargs = function() { return -1; }

org__ziniki.FileProvider.prototype._methods = function() {
  const _v1 = ['success','failure','uploadTo'];
  return _v1;
}

org__ziniki.FileProvider.prototype._methods.nfargs = function() { return -1; }

org__ziniki.FileProvider.prototype.success = function(_cxt, _ih) {
  return null;
}

org__ziniki.FileProvider.prototype.success.nfargs = function() { return 0; }

org__ziniki.FileProvider.prototype.failure = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.FileProvider.prototype.failure.nfargs = function() { return 1; }

org__ziniki.FileProvider.prototype.uploadTo = function(_cxt, _0, _ih) {
  return null;
}

org__ziniki.FileProvider.prototype.uploadTo.nfargs = function() { return 1; }

org__ziniki.Uploader = function(_cxt) {
  return ;
}
org__ziniki.Uploader._nf_provideFlasckLib = 4;
org__ziniki.Uploader._nf_provideModuleLib = 5;
org__ziniki.Uploader._nf_newPackage = 4;
org__ziniki.Uploader._nf_webzips = 3;
org__ziniki.Uploader._nf_provideFile = 4;
org__ziniki.Uploader._nf_deploy = 2;

org__ziniki.Uploader.prototype.name = function() {
  return 'org.ziniki.Uploader';
}

org__ziniki.Uploader.prototype.name.nfargs = function() { return -1; }

org__ziniki.Uploader.prototype._methods = function() {
  const _v1 = ['provideFlasckLib','provideModuleLib','newPackage','webzips','provideFile','deploy'];
  return _v1;
}

org__ziniki.Uploader.prototype._methods.nfargs = function() { return -1; }

org__ziniki.Uploader.prototype.provideFlasckLib = function(_cxt, _0, _1, _2, _3, _ih) {
  return null;
}

org__ziniki.Uploader.prototype.provideFlasckLib.nfargs = function() { return 4; }

org__ziniki.Uploader.prototype.provideModuleLib = function(_cxt, _0, _1, _2, _3, _4, _ih) {
  return null;
}

org__ziniki.Uploader.prototype.provideModuleLib.nfargs = function() { return 5; }

org__ziniki.Uploader.prototype.newPackage = function(_cxt, _0, _1, _2, _3, _ih) {
  return null;
}

org__ziniki.Uploader.prototype.newPackage.nfargs = function() { return 4; }

org__ziniki.Uploader.prototype.webzips = function(_cxt, _0, _1, _2, _ih) {
  return null;
}

org__ziniki.Uploader.prototype.webzips.nfargs = function() { return 3; }

org__ziniki.Uploader.prototype.provideFile = function(_cxt, _0, _1, _2, _3, _ih) {
  return null;
}

org__ziniki.Uploader.prototype.provideFile.nfargs = function() { return 4; }

org__ziniki.Uploader.prototype.deploy = function(_cxt, _0, _1, _ih) {
  return null;
}

org__ziniki.Uploader.prototype.deploy.nfargs = function() { return 2; }

org__ziniki.AdminPermission = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.AdminPermission');
  return ;
}


org__ziniki.AdminPermission._typename = 'org.ziniki.AdminPermission'

org__ziniki.AdminPermission.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.AdminPermission')) {
    return true;
  } else if (_cxt.isTruthy(ty == 'org.ziniki.Permission')) {
    return true;
  } else 
    return false;
}

org__ziniki.AdminPermission.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.AdminPermission.eval = function(_cxt) {
  const _v1 = new org__ziniki.AdminPermission(_cxt);
  return _v1;
}

org__ziniki.AdminPermission.eval.nfargs = function() { return 0; }

org__ziniki.CodePackage = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.CodePackage');
  return ;
}


org__ziniki.CodePackage._typename = 'org.ziniki.CodePackage'

org__ziniki.CodePackage.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.CodePackage')) {
    return true;
  } else 
    return false;
}

org__ziniki.CodePackage.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.CodePackage.eval = function(_cxt, packageName, latestVersion) {
  const _v1 = new org__ziniki.CodePackage(_cxt);
  _v1.state.set('packageName', packageName);
  _v1.state.set('latestVersion', latestVersion);
  return _v1;
}

org__ziniki.CodePackage.eval.nfargs = function() { return 2; }

org__ziniki.CodePackageVersion = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.CodePackageVersion');
  return ;
}


org__ziniki.CodePackageVersion._typename = 'org.ziniki.CodePackageVersion'

org__ziniki.CodePackageVersion.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.CodePackageVersion')) {
    return true;
  } else 
    return false;
}

org__ziniki.CodePackageVersion.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.CodePackageVersion.eval = function(_cxt, packageName, version, flascklib) {
  const _v1 = new org__ziniki.CodePackageVersion(_cxt);
  _v1.state.set('packageName', packageName);
  _v1.state.set('version', version);
  const _v2 = Nil.eval(_cxt);
  _v1.state.set('webzips', _v2);
  const _v3 = Nil.eval(_cxt);
  _v1.state.set('sources', _v3);
  const _v4 = Nil.eval(_cxt);
  _v1.state.set('unitTests', _v4);
  const _v5 = Nil.eval(_cxt);
  _v1.state.set('assemblies', _v5);
  const _v6 = Nil.eval(_cxt);
  _v1.state.set('systemTests', _v6);
  _v1.state.set('flascklib', flascklib);
  const _v7 = Nil.eval(_cxt);
  _v1.state.set('modules', _v7);
  const _v8 = Nil.eval(_cxt);
  _v1.state.set('dependencies', _v8);
  const _v9 = Nil.eval(_cxt);
  _v1.state.set('flim', _v9);
  const _v10 = Nil.eval(_cxt);
  _v1.state.set('corejs', _v10);
  const _v11 = Nil.eval(_cxt);
  _v1.state.set('livejs', _v11);
  const _v12 = Nil.eval(_cxt);
  _v1.state.set('mockjs', _v12);
  const _v13 = Nil.eval(_cxt);
  _v1.state.set('livejar', _v13);
  const _v14 = Nil.eval(_cxt);
  _v1.state.set('mockjar', _v14);
  const _v15 = False.eval(_cxt);
  _v1.state.set('deployed', _v15);
  return _v1;
}

org__ziniki.CodePackageVersion.eval.nfargs = function() { return 3; }

org__ziniki.DomainKey = function() {
  return ;
}


org__ziniki.DomainKey._typename = 'org.ziniki.DomainKey'

org__ziniki.DomainKey.ofEntity = function(_cxt) {
  return null;
}

org__ziniki.DomainKey.ofEntity.nfargs = function() { return 0; }

org__ziniki.DomainKey.fieldNames = function(_cxt) {
  return null;
}

org__ziniki.DomainKey.fieldNames.nfargs = function() { return 0; }

org__ziniki.MyRecord = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.MyRecord');
  return ;
}


org__ziniki.MyRecord._typename = 'org.ziniki.MyRecord'

org__ziniki.MyRecord.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.MyRecord')) {
    return true;
  } else 
    return false;
}

org__ziniki.MyRecord.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.MyRecord.eval = function(_cxt, pointsTo) {
  const _v1 = new org__ziniki.MyRecord(_cxt);
  _v1.state.set('pointsTo', pointsTo);
  return _v1;
}

org__ziniki.MyRecord.eval.nfargs = function() { return 1; }

org__ziniki.PendingDomain = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.PendingDomain');
  return ;
}


org__ziniki.PendingDomain._typename = 'org.ziniki.PendingDomain'

org__ziniki.PendingDomain.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.PendingDomain')) {
    return true;
  } else 
    return false;
}

org__ziniki.PendingDomain.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.PendingDomain.eval = function(_cxt, domain, userid, token) {
  const _v1 = new org__ziniki.PendingDomain(_cxt);
  _v1.state.set('domain', domain);
  _v1.state.set('userid', userid);
  _v1.state.set('token', token);
  return _v1;
}

org__ziniki.PendingDomain.eval.nfargs = function() { return 3; }

org__ziniki.Profile = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.Profile');
  return ;
}


org__ziniki.Profile._typename = 'org.ziniki.Profile'

org__ziniki.Profile.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.Profile')) {
    return true;
  } else 
    return false;
}

org__ziniki.Profile.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.Profile.eval = function(_cxt, profilename, knownAs) {
  const _v1 = new org__ziniki.Profile(_cxt);
  _v1.state.set('profilename', profilename);
  _v1.state.set('knownAs', knownAs);
  _v1.state.set('fileAs', '');
  const _v2 = Nil.eval(_cxt);
  _v1.state.set('emails', _v2);
  const _v3 = Nil.eval(_cxt);
  _v1.state.set('phoneNos', _v3);
  const _v4 = Nil.eval(_cxt);
  _v1.state.set('websites', _v4);
  return _v1;
}

org__ziniki.Profile.eval.nfargs = function() { return 2; }

org__ziniki.ReadPermission = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.ReadPermission');
  return ;
}


org__ziniki.ReadPermission._typename = 'org.ziniki.ReadPermission'

org__ziniki.ReadPermission.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.ReadPermission')) {
    return true;
  } else if (_cxt.isTruthy(ty == 'org.ziniki.Permission')) {
    return true;
  } else 
    return false;
}

org__ziniki.ReadPermission.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.ReadPermission.eval = function(_cxt) {
  const _v1 = new org__ziniki.ReadPermission(_cxt);
  return _v1;
}

org__ziniki.ReadPermission.eval.nfargs = function() { return 0; }

org__ziniki.WritePermission = function(_cxt) {
  this.state = _cxt.fields();
  this.state.set('_type', 'org.ziniki.WritePermission');
  return ;
}


org__ziniki.WritePermission._typename = 'org.ziniki.WritePermission'

org__ziniki.WritePermission.prototype._areYouA = function(_cxt, ty) {
  if (_cxt.isTruthy(ty == 'org.ziniki.WritePermission')) {
    return true;
  } else if (_cxt.isTruthy(ty == 'org.ziniki.Permission')) {
    return true;
  } else 
    return false;
}

org__ziniki.WritePermission.prototype._areYouA.nfargs = function() { return 1; }

org__ziniki.WritePermission.eval = function(_cxt) {
  const _v1 = new org__ziniki.WritePermission(_cxt);
  return _v1;
}

org__ziniki.WritePermission.eval.nfargs = function() { return 0; }

org__ziniki.CodePackage.prototype._field_latestVersion = function(_cxt) {
  return this.state.get('latestVersion');
}

org__ziniki.CodePackage.prototype._field_latestVersion.nfargs = function() { return 0; }

org__ziniki.CodePackage.prototype._field_packageName = function(_cxt) {
  return this.state.get('packageName');
}

org__ziniki.CodePackage.prototype._field_packageName.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_assemblies = function(_cxt) {
  return this.state.get('assemblies');
}

org__ziniki.CodePackageVersion.prototype._field_assemblies.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_corejs = function(_cxt) {
  return this.state.get('corejs');
}

org__ziniki.CodePackageVersion.prototype._field_corejs.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_dependencies = function(_cxt) {
  return this.state.get('dependencies');
}

org__ziniki.CodePackageVersion.prototype._field_dependencies.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_deployed = function(_cxt) {
  return this.state.get('deployed');
}

org__ziniki.CodePackageVersion.prototype._field_deployed.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_flascklib = function(_cxt) {
  return this.state.get('flascklib');
}

org__ziniki.CodePackageVersion.prototype._field_flascklib.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_flim = function(_cxt) {
  return this.state.get('flim');
}

org__ziniki.CodePackageVersion.prototype._field_flim.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_livejar = function(_cxt) {
  return this.state.get('livejar');
}

org__ziniki.CodePackageVersion.prototype._field_livejar.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_livejs = function(_cxt) {
  return this.state.get('livejs');
}

org__ziniki.CodePackageVersion.prototype._field_livejs.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_mockjar = function(_cxt) {
  return this.state.get('mockjar');
}

org__ziniki.CodePackageVersion.prototype._field_mockjar.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_mockjs = function(_cxt) {
  return this.state.get('mockjs');
}

org__ziniki.CodePackageVersion.prototype._field_mockjs.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_modules = function(_cxt) {
  return this.state.get('modules');
}

org__ziniki.CodePackageVersion.prototype._field_modules.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_packageName = function(_cxt) {
  return this.state.get('packageName');
}

org__ziniki.CodePackageVersion.prototype._field_packageName.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_sources = function(_cxt) {
  return this.state.get('sources');
}

org__ziniki.CodePackageVersion.prototype._field_sources.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_systemTests = function(_cxt) {
  return this.state.get('systemTests');
}

org__ziniki.CodePackageVersion.prototype._field_systemTests.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_unitTests = function(_cxt) {
  return this.state.get('unitTests');
}

org__ziniki.CodePackageVersion.prototype._field_unitTests.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_version = function(_cxt) {
  return this.state.get('version');
}

org__ziniki.CodePackageVersion.prototype._field_version.nfargs = function() { return 0; }

org__ziniki.CodePackageVersion.prototype._field_webzips = function(_cxt) {
  return this.state.get('webzips');
}

org__ziniki.CodePackageVersion.prototype._field_webzips.nfargs = function() { return 0; }

org__ziniki.MyRecord.prototype._field_pointsTo = function(_cxt) {
  return this.state.get('pointsTo');
}

org__ziniki.MyRecord.prototype._field_pointsTo.nfargs = function() { return 0; }

org__ziniki.PendingDomain.prototype._field_domain = function(_cxt) {
  return this.state.get('domain');
}

org__ziniki.PendingDomain.prototype._field_domain.nfargs = function() { return 0; }

org__ziniki.PendingDomain.prototype._field_token = function(_cxt) {
  return this.state.get('token');
}

org__ziniki.PendingDomain.prototype._field_token.nfargs = function() { return 0; }

org__ziniki.PendingDomain.prototype._field_userid = function(_cxt) {
  return this.state.get('userid');
}

org__ziniki.PendingDomain.prototype._field_userid.nfargs = function() { return 0; }

org__ziniki.Profile.prototype._field_emails = function(_cxt) {
  return this.state.get('emails');
}

org__ziniki.Profile.prototype._field_emails.nfargs = function() { return 0; }

org__ziniki.Profile.prototype._field_fileAs = function(_cxt) {
  return this.state.get('fileAs');
}

org__ziniki.Profile.prototype._field_fileAs.nfargs = function() { return 0; }

org__ziniki.Profile.prototype._field_knownAs = function(_cxt) {
  return this.state.get('knownAs');
}

org__ziniki.Profile.prototype._field_knownAs.nfargs = function() { return 0; }

org__ziniki.Profile.prototype._field_phoneNos = function(_cxt) {
  return this.state.get('phoneNos');
}

org__ziniki.Profile.prototype._field_phoneNos.nfargs = function() { return 0; }

org__ziniki.Profile.prototype._field_websites = function(_cxt) {
  return this.state.get('websites');
}

org__ziniki.Profile.prototype._field_websites.nfargs = function() { return 0; }

org__ziniki._init = function(_cxt) {
  const _v1 = new org__ziniki.ContentProvider(_cxt);
  const _v2 = _cxt.registerContract('org.ziniki.ContentProvider', _v1);
  const _v3 = new org__ziniki.ContentStore(_cxt);
  const _v4 = _cxt.registerContract('org.ziniki.ContentStore', _v3);
  const _v5 = new org__ziniki.CrobagHandler(_cxt);
  const _v6 = _cxt.registerContract('org.ziniki.CrobagHandler', _v5);
  const _v7 = new org__ziniki.CrobagUpdateHandler(_cxt);
  const _v8 = _cxt.registerContract('org.ziniki.CrobagUpdateHandler', _v7);
  const _v9 = new org__ziniki.DataHandler(_cxt);
  const _v10 = _cxt.registerContract('org.ziniki.DataHandler', _v9);
  const _v11 = new org__ziniki.DataStore(_cxt);
  const _v12 = _cxt.registerContract('org.ziniki.DataStore', _v11);
  const _v13 = new org__ziniki.EntityCreated(_cxt);
  const _v14 = _cxt.registerContract('org.ziniki.EntityCreated', _v13);
  const _v15 = new org__ziniki.FileProvider(_cxt);
  const _v16 = _cxt.registerContract('org.ziniki.FileProvider', _v15);
  const _v17 = new org__ziniki.Uploader(_cxt);
  const _v18 = _cxt.registerContract('org.ziniki.Uploader', _v17);
  const _v19 = _cxt.registerStruct('org.ziniki.AdminPermission', org__ziniki.AdminPermission);
  const _v20 = _cxt.registerStruct('org.ziniki.CodePackage', org__ziniki.CodePackage);
  const _v21 = _cxt.registerStruct('org.ziniki.CodePackageVersion', org__ziniki.CodePackageVersion);
  const _v22 = _cxt.registerStruct('org.ziniki.MyRecord', org__ziniki.MyRecord);
  const _v23 = _cxt.registerStruct('org.ziniki.PendingDomain', org__ziniki.PendingDomain);
  const _v24 = _cxt.registerStruct('org.ziniki.Profile', org__ziniki.Profile);
  const _v25 = _cxt.registerStruct('org.ziniki.ReadPermission', org__ziniki.ReadPermission);
  const _v26 = _cxt.registerStruct('org.ziniki.WritePermission', org__ziniki.WritePermission);
  if (_cxt.isTruthy(org__ziniki._builtin_init)) {
    org__ziniki._builtin_init(_cxt);
  }
}

org__ziniki._init.nfargs = function() { return 0; }

export { org__ziniki };
